# Tests by default. No tests: rpmbuild -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}
Name:		mosh
Version:	1.3.2
Release:	1
Summary:	Mobile shell that supports roaming and intelligent local echo

License:	GPLv3+
URL:		https://mosh.org/
Source0:	https://mosh.org/mosh-%{version}.tar.gz
Patch0:		mosh-1.3.2-err.patch
Patch1:		mosh-1.3.2-testcase.patch

BuildRequires:  make >= 4.2.1
BuildRequires:  gcc >= 8.3.0
BuildRequires:  gcc-c++ >= 8.3.0
BuildRequires:	protobuf-compiler
BuildRequires:	protobuf-devel
BuildRequires:	zlib-devel
BuildRequires:	ncurses-devel
Requires:	libgcc >= 8.3.0
Requires:	ncurses >= 6.2
Requires:	libstdc++ >= 8.3.0
Requires:	protobuf >= 3.11.4
Requires:	zlib >= 1.2.11

%description
Mosh is a remote terminal application that supports:
  - intermittent network connectivity,
  - roaming to different IP address without dropping the connection, and
  - intelligent local echo and line editing to reduce the effects
    of "network lag" on high-latency connections.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
export OBJECT_MODE=64
export CC=gcc
export CXX=g++
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib/pthread/ppc64:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"
export CXXFLAGS="-O2 -maix64 -pthread"
export CFLAGS="-O2 -maix64 -pthread"
export PKG_CONFIG_PATH="/opt/freeware/lib64/pkgconfig"

%configure --disable-silent-rules
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export OBJECT_MODE=64
gmake install DESTDIR=${RPM_BUILD_ROOT}


%check
if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi

%post
echo "\n Mosh requires a UTF-8 native locale to run successfully\n"

%files
%defattr(-,root,system,-)
%doc README.md ChangeLog
%license COPYING
%{_bindir}/mosh
%{_bindir}/mosh-client
%{_bindir}/mosh-server
%{_mandir}/man1/mosh.1
%{_mandir}/man1/mosh-client.1
%{_mandir}/man1/mosh-server.1


%changelog
* Wed Jun 09 2021 Reshma V Kumar <reskumar@in.ibm.com> - 1.3.2-1
- Initial port for AIX Toolbox

